Skip to main content
POST
/
datasets
/
v3
/
scrape
Discover New Profiles
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>",
      "first_name": "<string>",
      "last_name": "<string>"
    }
  ]
}
'
[
  {
    "url": "https://linkedin.com/in/muge-ozlutiras",
    "name": "Muge O*******s",
    "subtitle": null,
    "location": "Netherlands",
    "experience": null,
    "education": "ETH Zurich",
    "avatar": "htt***//m***a.l*********dms*********************6XV******************************************************************************************************************************************************************"
  }
]

Query Parameters

dataset_id
string
default:"gd_m8d03he47z8nwb5xc"
required
The dataset ID used for this request.
Must be set to gd_m8d03he47z8nwb5xc to collect Discover New Profiles data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input":[
    {
      "url":"https://www.linkedin.com",
      "first_name":"james",
      "last_name":"smith"
    },
    {
      "url":"https://www.linkedin.com",
      "first_name":"Lisa",
      "last_name":"Ledger"
    }
  ]
}
[
  {
    "url": "https://linkedin.com/in/muge-ozlutiras",
    "name": "Muge O*******s",
    "subtitle": null,
    "location": "Netherlands",
    "experience": null,
    "education": "ETH Zurich",
    "avatar": "htt***//m***a.l*********dms*********************6XV******************************************************************************************************************************************************************"
  }
]